# MainMenu (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl

## Class MainMenu

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.AbstractMenu
  - - org.deidentifier.arx.gui.view.impl.MainMenu

- All Implemented Interfaces:
    IView

      public class MainMenu
      extends AbstractMenu

  This class implements the global main menu.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainMenu(org.eclipse.swt.widgets.Shell shell, Controller controller, java.util.List<MainMenuItem> items)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Disposes the view.
    `protected void` | `update(Model model)`

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.AbstractMenu

      `getController, reset, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MainMenu

          public MainMenu(org.eclipse.swt.widgets.Shell shell,
                  Controller controller,
                  java.util.List<MainMenuItem> items)

      Creates a new instance.
      Parameters:
        `shell` -
        `controller` -
        `items` -

  - ### Method Detail

    - #### dispose

          public void dispose()

      Description copied from interface: `IView`
      Disposes the view.
      Specified by:
        `dispose` in interface `IView`
      Overrides:
        `dispose` in class `AbstractMenu`

    - #### update

          protected void update(Model model)

      Specified by:
        `update` in class `AbstractMenu`